SHRED(1)

NAZWA
shred - nadpisuje każdy plik aby ukryć jego zawartość i opcjonalnie usuwa go

SKŁADNIA
shred [OPCJA]... PLIK...

OPIS

Wielokrotnie nadpisuje podane PLIK(I), w celu utrudnienia odzyskania jego zawartości, nawet przy użyciu bardzo drogich urządzeń do odzyskiwania danych

Jeśli jako PLIK podano -, zamazuje standardowe wejście.

Argumenty, które są obowiązkowe dla długich opcji, są również obowiązkowe dla krótkich.

-f, --force
    zmienia uprawnienia aby umożliwić zapis, jeśli to konieczne

-n, --iterations=N
    nadpisuje plik N razy zamiast domyślnych trzech

--random-source=PLIKI
    pozyskuje losowe bajty z PLIKU

-s, --size=N
    zamazuje daną liczbę bajtów (akceptowane są przyrostki K, M, G itp.)

-u  dealokuje i kasuje plik po nadpisaniu

--remove[=JAK]
    jak -u, lecz umożliwia wybranie JAK usunąć; zob. niżej

-v, --verbose
    pokazuje postęp

-x, --exact
    nie zaokrągla rozmiarów plików do kolejnego pełnego bloku;

    jest to domyślne ustawienie dla wszystkich plików poza zwykłymi

-z, --zero
    dodaje końcowe nadpisywanie zerami, aby ukryć użycie zamazywania

--help
    wyświetla ten tekst i kończy pracę

--version
    wyświetla informacje o wersji i kończy działanie

Usuwa PLIK(I) tylko jeśli użyto opcji --remove (-u). Nie jest to ustawienie domyślne, gdyż program często działa na plikach urządzeń, takich jak /dev/hda, które z reguły nie powinny być usuwane. Podczas pracy na zwykłych plikach, powinno się zwykle użyć opcji --remove. Opcjonalny argument JAK wskazuje jak usunąć wpis katalogu: unlink => użyje standardowego wywołania unlink. wipe => dodatkowo ukryje bajty w nazwie. wipesync => dodatkowo wykona sync po każdym ukrytym bajcie zapisanym na urządzenie. Domyślnym trybem jest wipesync, ale może być on powolny.

ZACHOWAĆ OSTROŻNOŚĆ: shred przyjmuje, że system plików i sprzęt nadpisują dane w tym samym miejscu. Choć jest to częste, wiele platform działa w inny sposób. Należy również pamiętać, że kopie zapasowe i serwery lustrzane mogą zawierać niedające się usunąć kopie, które pozwolą na późniejsze przywrócenie usuniętych za pomocą shred(1) danych. Więcej informacji w podręczniku GNU coreutils.

AUTOR
Napisane przez Colina Plumba.

ZGŁASZANIE BŁĘDÓW
Strona internetowa z pomocą GNU coreutils: <https://www.gnu.org/software/coreutils/>
O błędach tłumaczenia programu prosimy poinformować przez <https://translationproject.org/team/pl.html>

PRAWA AUTORSKIE
Copyright © 2024 Free Software Foundation, Inc. Licencja GPLv3+: GNU GPL w wersji 3 lub późniejszej <https://gnu.org/licenses/gpl.html>.
Jest to wolne oprogramowanie: można je zmieniać i rozpowszechniać. Nie ma ŻADNEJ GWARANCJI, w granicach określonych przez prawo.

ZOBACZ TAKŻE
Pełna dokumentacja: <https://www.gnu.org/software/coreutils/shred>
lub lokalnie, za pomocą info '(coreutils) shred invocation'

TŁUMACZENIE
Autorami polskiego tłumaczenia niniejszej strony podręcznika są: Wojtek Kotwica <wkotwica@post.pl> i Michał Kułach <michal.kulach@gmail.com>

Niniejsze tłumaczenie jest wolną dokumentacją. Bliższe informacje o warunkach licencji można uzyskać zapoznając się z GNU General Public License w wersji 3 (https://www.gnu.org/licenses/gpl-3.0.html) lub nowszej. Nie przyjmuje się ŻADNEJ ODPOWIEDZIALNOŚCI.

Błędy w tłumaczeniu strony podręcznika prosimy zgłaszać na adres listy dyskusyjnej manpages-pl-list@lists.sourceforge.net.